include:
  - "https://gitlab.com/portfolio_tim_teppa/devops/python/-/raw/main/templates/python-job.yml"

pylint:
  stage: static-analysis
  extends: .python-job
  variables:
    SHOW_ERRORS: true
  before_script:
    - python3 -m pip install pylint
  script:
    - python3 -m pylint --rcfile $CI_PROJECT_DIR/ci/.pylintrc --recursive y --verbose .
  allow_failure: true
